regina::Example< dim > Class Template Reference
Triangulations

This class offers static routines for constructing a variety of sample dim-dimensional triangulations. More...

`#include <triangulation/generic.h>`

Inheritance diagram for regina::Example< dim >:

## Static Public Member Functions

static Triangulation< dim > * | sphere ()
| Returns a two-simplex triangulation of the dim-sphere. More...
static Triangulation< dim > * | simplicialSphere ()
| Returns the standard (dim+2)-simplex triangulation of the dim-sphere as the boundary of a (dim+1)-simplex. More...
static Triangulation< dim > * | sphereBundle ()
| Returns a two-simplex triangulation of the product space `S^(dim-1) x S^1`. More...
static Triangulation< dim > * | twistedSphereBundle ()
| Returns a two-simplex triangulation of the twisted product space `S^(dim-1) x~ S^1`. More...
static Triangulation< dim > * | ball ()
| Bounded Triangulations. More...
static Triangulation< dim > * | ballBundle ()
| Returns a triangulation of the product space `B^(dim-1) x S^1`. More...
static Triangulation< dim > * | twistedBallBundle ()
| Returns a triangulation of the twisted product space `B^(dim-1) x~ S^1`. More...
static Triangulation< dim > * | doubleCone (const Triangulation< dim-1 > &base)
| Returns a double cone over the given (dim-1)-dimensional triangulation. More...
static Triangulation< dim > * | singleCone (const Triangulation< dim-1 > &base)
| Returns a single cone over the given (dim-1)-dimensional triangulation. More...

## Detailed Description

### template<int dim>
class regina::Example< dim >

This class offers static routines for constructing a variety of sample dim-dimensional triangulations.

These triangulations may be useful for testing new code, or for simply getting a feel for how Regina works.

In higher dimensions, only a handful of triangulations are available (in contrast to the 3-dimensional class Example<3>, which offers many interesting examples). The authors hope to expand this list in future releases of Regina.

The sample triangulations offered here may prove especially useful in Regina's scripting interface, where working with pre-existing files is more complicated than in the GUI.

All of the methods in this class will assign an appropriate packet label to the triangulation that they return.

Note that each of these routines constructs a new triangulation from scratch. It is up to the caller of each routine to destroy the triangulation that is returned.

For Regina's standard dimensions, this template is specialised and offers many more example triangulations. In order to use these specialised classes, you will need to include the corresponding headers (e.g., triangulation/example2.h for dim = 2, or triangulation/example3.h for dim = 3).

Python:\n Python does not support templates. Instead this class
  can be used by appending the dimension as a suffix (e.g., Example2 and Example3 for dimensions 2 and 3).

Template Parameters

  dim | the dimension of the example triangulations to construct. This must be between 2 and 15 inclusive.

## Member Function Documentation

## doubleCone()

Triangulation< dim > * regina::detail::ExampleFromLowDim< dim, available >::doubleCone | ( | const Triangulation< dim-1 > & | base | ) |

static inherited

Returns a double cone over the given (dim-1)-dimensional triangulation.

If the given triangulation represents the manifold `M`, then this returns an ideal triangulation of the product `M x I` (with two ideal boundary components). A copy of the original triangulation base can be found at the centre of this construction, formed from the dim-simplices that sit between the two ideal vertices.

Note that, as a special case, if `M` is either a sphere or a ball, then this routine returns a (dim)-sphere or a (dim)-ball (since "ideal spheres" and "ideal balls" just become regular internal and boundary vertices respectively).

This construction is essentially the suspension of the triangulation base. We do not call it this however, since from a topological point of view, to form the ideal triangulation of `M x I` we "remove" the vertices at the apex of each cone.

Warning
  If the given (dim-1)-dimensional triangulation has any boundary whatsoever (either real or ideal), then unless it is a (dim-1)-ball, you will obtain an invalid dim-manifold triangulation as a result.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

## singleCone()

Triangulation< dim > * regina::detail::ExampleFromLowDim< dim, available >::singleCone | ( | const Triangulation< dim-1 > & | base | ) |

static inherited

Returns a single cone over the given (dim-1)-dimensional triangulation.

If the given triangulation represents the manifold `M`, then this returns a triangulation of the product `M x I` that has one real boundary component and one ideal boundary component. The triangulation of the real boundary component will be identical to the original (dim-1)-dimensional triangulation base.

Warning
  If the given (dim-1)-dimensional triangulation has any boundary whatsoever (either real or ideal), then unless it is a (dim-1)-ball, you will obtain an invalid dim-manifold triangulation as a result.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

The documentation for this class was generated from the following file:

- triangulation/example.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).